POE::Resource::FileHandles(3)

NAME
POE::Resource::FileHandles - internal filehandle manager for POE::Kernel

SYNOPSIS
There is no public API.

DESCRIPTION
POE::Resource::FileHandles is a mix-in class for POE::Kernel. It provides the low-level features to manage filehandles. It is used internally by POE::Kernel, so it has no public interface.

SEE ALSO
See "I/O Watchers (Selects)" in POE::Kernel for the public file watcher API.

See "Resources" in POE::Kernel for public information about POE resources.

See POE::Resource for general discussion about resources and the classes that manage them.

BUGS
POE watches I/O based on filehandles rather than file descriptors, which means there can be clashes between its API and an underlying descriptor-based event loop. This is usually not a problem, but it may require a work-around in certain edge cases.

AUTHORS & COPYRIGHTS
Please see POE for more information about authors and contributors.